| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Protected Attributes | Properties | Private Member Functions | Private Attributes

# IG::Num::ScalarFunctionRadialOneParametric Class Reference

Base class for one parametric families of radial scalar functions with affine transformation of co-ordinates. Parameters that completely define the function out of parametric family of functions can be queried or set. Affine transformation of coordinates is included: the reference function evaluation must be defined while the actual function is defined as that reference function of transformed coordinates. If transformation is not specified then function reduces to the reference one. More...

Inheritance diagram for IG::Num::ScalarFunctionRadialOneParametric:
[legend]
Collaboration diagram for IG::Num::ScalarFunctionRadialOneParametric:
[legend]

List of all members.

## Public Member Functions
| ScalarFunctionRadialOneParametric (IRealFunctionOneParametric function, IVector parameters, IAffineTransformation transf)
| Constructor. Creates a new radial scalar function without specifying coordinate transformation.
| ScalarFunctionRadialOneParametric (IRealFunctionOneParametric function, IAffineTransformation transf)
| Constructor. Creates a new parameterized radial scalar function without specifying coordinate transformation.
| ScalarFunctionRadialOneParametric (IRealFunctionOneParametric function, IVector parameters)
| Constructor. Creates a new parameterized radial scalar function without specifying coordinate transformation.
| ScalarFunctionRadialOneParametric (IRealFunctionOneParametric function)
| Constructor. Creates a new parameterized radial scalar function without specifying coordinate transformation or parameters.
override double[] | GetParameters ()
| Returns parameters of the current parametric function as an array. Since this class is for one parametric family of functions, an array of length 1 is always returned.
override void | SetParameters (double[] parameters)
| Sets parameters of the current parametric functions, where parameters are specified as array.
override double | GetParameter (int which)
| Returns value of the specified parameter of the parameterized function.
override void | SetParameter (int which, double value)
| Sets the specific parameters of the parameterized function.
## Static Protected Attributes
static Vector | _parAux = new Vector(1)
| Auxiliary vector whose only function is to enable calling base constructors with parameters specified as vector.
## Properties
virtual IRealFunctionOneParametric | FunctionOneParametric`[get, set]`
| Gets or sets the parametrivc real-valued function of one variable that defines the current radial function.
override IRealFunctionParametric | FunctionParametric`[get, set]`
| Gets or sets the oneparametric real-valued function of one variable that defines the current radial function. When setting, the argument must be of appropriate type (IRealFunctionOneParametric).
override IRealFunction | Function`[get, set]`
| Gets or sets a real-valued function of one variable that defines the current radial function. When setting, the argument must be of appropriate type (IRealFunctionOneParametric).
override IVector | Parameters`[get, set]`
| Gets or sets parameters that define the specific function out of parametric familiy of scalar functions.
virtual double | Parameter`[get, set]`
| Gets or sets the (only) parameter that defines the current function out of parametric family of functions.
override int | NumParameters`[get]`
| Gets number of parameters that define the current function out of parametric family of scalar functions. Always evaluates to 1 because this is a one parametric family of functions.
## Private Member Functions
| ScalarFunctionRadialOneParametric ()
| Default constructor is inaccessible because it has no meaning.
## Private Attributes
IRealFunctionOneParametric | _functionOneParametric

## Detailed Description

Base class for one parametric families of radial scalar functions with affine transformation of co-ordinates. Parameters that completely define the function out of parametric family of functions can be queried or set. Affine transformation of coordinates is included: the reference function evaluation must be defined while the actual function is defined as that reference function of transformed coordinates. If transformation is not specified then function reduces to the reference one.

This base class does not implement data containing parameters. This enables to derive base classes with different representations of parameters, e.g. with only one number for one parametric functions. $A Igor Dec10;

## Constructor & Destructor Documentation

IG::Num::ScalarFunctionRadialOneParametric::ScalarFunctionRadialOneParametric | ( |  | ) | `[inline, private]`

Default constructor is inaccessible because it has no meaning.

IG::Num::ScalarFunctionRadialOneParametric::ScalarFunctionRadialOneParametric | ( | IRealFunctionOneParametric | function,
|  | IVector | parameters,
|  | IAffineTransformation | transf
| ) |  | `[inline]`

Constructor. Creates a new radial scalar function without specifying coordinate transformation.

Parameters:

  function | A real-valued function of one parameter that defined the radial function.
  parameters | Parameters that define the function out of a parametric family of functions.
  transformation | Affine transformation of coordinates. Actual function is calculated as some reference function evaluated at inverse affine transformed parameters. If null then transformation is not applied.

IG::Num::ScalarFunctionRadialOneParametric::ScalarFunctionRadialOneParametric | ( | IRealFunctionOneParametric | function,
|  | IAffineTransformation | transf
| ) |  | `[inline]`

Constructor. Creates a new parameterized radial scalar function without specifying coordinate transformation.

Parameters:

  function | A real-valued function of one parameter that defined the radial function.
  transformation | Affine transformation of coordinates. Actual function is calculated as some reference function evaluated at inverse affine transformed parameters. If null then transformation is not applied.

IG::Num::ScalarFunctionRadialOneParametric::ScalarFunctionRadialOneParametric | ( | IRealFunctionOneParametric | function,
|  | IVector | parameters
| ) |  | `[inline]`

Constructor. Creates a new parameterized radial scalar function without specifying coordinate transformation.

Parameters:

  function | A real-valued function of one parameter that defined the radial function.
  parameters | Parameters that define the function out of a parametric family of functions.

IG::Num::ScalarFunctionRadialOneParametric::ScalarFunctionRadialOneParametric | ( | IRealFunctionOneParametric | function | ) | `[inline]`

Constructor. Creates a new parameterized radial scalar function without specifying coordinate transformation or parameters.

Parameters:

  function | A real-valued function of one parameter that defined the radial function.

## Member Function Documentation

override double [] IG::Num::ScalarFunctionRadialOneParametric::GetParameters | ( |  | ) | `[inline]`

Returns parameters of the current parametric function as an array. Since this class is for one parametric family of functions, an array of length 1 is always returned.

Implements IG::Num::IScalarFunctionParametric.

override void IG::Num::ScalarFunctionRadialOneParametric::SetParameters | ( | double[] | parameters | ) | `[inline]`

Sets parameters of the current parametric functions, where parameters are specified as array.

Parameters:

  parameters | Array of parameters. Array length must be 1 because this class represents a one parametric family..

Implements IG::Num::IScalarFunctionParametric.

override double IG::Num::ScalarFunctionRadialOneParametric::GetParameter | ( | int | which | ) | `[inline]`

Returns value of the specified parameter of the parameterized function.

Parameters:

  which | Specifies which parameter is returned, must be 0 because this class represents a one parametric family of functions.

Implements IG::Num::IScalarFunctionParametric.

override void IG::Num::ScalarFunctionRadialOneParametric::SetParameter | ( | int | which,
|  | double | value
| ) |  | `[inline]`

Sets the specific parameters of the parameterized function.

Parameters:

  which | Specifies which parameter is set, must be 0 because this class represents a one parametric family of functions.
  value | Value of the specified parameter.

Implements IG::Num::IScalarFunctionParametric.

## Member Data Documentation

Vector IG::Num::ScalarFunctionRadialOneParametric::_parAux = new Vector(1)`[static, protected]`

Auxiliary vector whose only function is to enable calling base constructors with parameters specified as vector.

IRealFunctionOneParametric IG::Num::ScalarFunctionRadialOneParametric::_functionOneParametric`[private]`

## Property Documentation

virtual IRealFunctionOneParametric IG::Num::ScalarFunctionRadialOneParametric::FunctionOneParametric`[get, set]`

Gets or sets the parametrivc real-valued function of one variable that defines the current radial function.

override IRealFunctionParametric IG::Num::ScalarFunctionRadialOneParametric::FunctionParametric`[get, set]`

Gets or sets the oneparametric real-valued function of one variable that defines the current radial function. When setting, the argument must be of appropriate type (IRealFunctionOneParametric).

Reimplemented from IG::Num::ScalarFunctionRadialParametric.

override IRealFunction IG::Num::ScalarFunctionRadialOneParametric::Function`[get, set]`

Gets or sets a real-valued function of one variable that defines the current radial function. When setting, the argument must be of appropriate type (IRealFunctionOneParametric).

Reimplemented from IG::Num::ScalarFunctionRadialParametric.

override IVector IG::Num::ScalarFunctionRadialOneParametric::Parameters`[get, set]`

Gets or sets parameters that define the specific function out of parametric familiy of scalar functions.

Implements IG::Num::IScalarFunctionParametric.

virtual double IG::Num::ScalarFunctionRadialOneParametric::Parameter`[get, set]`

Gets or sets the (only) parameter that defines the current function out of parametric family of functions.

Implements IG::Num::IScalarFunctionOneParametric.

override int IG::Num::ScalarFunctionRadialOneParametric::NumParameters`[get]`

Gets number of parameters that define the current function out of parametric family of scalar functions. Always evaluates to 1 because this is a one parametric family of functions.

Implements IG::Num::IScalarFunctionParametric.

The documentation for this class was generated from the following file:

- FunctionScalarRadial.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events